Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenMetricContainer

All Superinterfaces:
  EObject, GenRuleContainerBase, Notifier

All Known Implementing Classes:
  GenMetricContainerImpl

public interface GenMetricContainer
extends GenRuleContainerBase

A representation of the model object 'Gen Metric Container'.

The following features are supported:

- `Metrics`

See Also:
  `GMFGenPackage.getGenMetricContainer()`
** Generated **
Model:

Method Summary
`java.util.Set` `getAllTargetedModelPackages()`
`EList` `getMetrics()` Returns the value of the 'Metrics' containment reference list.

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenRuleContainerBase
`getEditor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMetrics

    public EList getMetrics()

  Returns the value of the 'Metrics' containment reference list. The list contents are of type `GenMetricRule`. It is bidirectional and its opposite is '`Container`'.

  If the meaning of the 'Metrics' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Metrics' containment reference list.
  See Also:
    `GMFGenPackage.getGenMetricContainer_Metrics()`, `GenMetricRule.getContainer()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.codegen.gmfgen.GenMetricRule" opposite="container" containment="true" required="true"

### getAllTargetedModelPackages

    public java.util.Set getAllTargetedModelPackages()

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.